/* $Id: e2_upgrade.c 1427 2005-12-03 05:58:26Z tpgww $
 * 
 * Copyright (C) 2003-2005 tooar <tooar@gmx.net>
 *
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file GPL. If not, contact the Free Software
 * Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include "emelfm2.h"
#include <string.h>
#include "e2_plugins.h"

#define PNAME "e2p_upgrade.so"

void e2_upgrade_check (void)
{
	if (strcmp (cfg.version, VERSION RELEASE) < 0)
	{
		Plugin *p = e2_plugin_load (PLUGINS_DIR PNAME);
		if (p != NULL)
		{
			if (!p->plugin_init (p))	//do it
				printd (ERROR, "Can't initialize upgrade plugin: "PNAME);
			e2_plugins_unload1 (p);
		}
		else
			printd (ERROR, "Can't find upgrade plugin "PNAME", so can't upgrade the config file");
	}
}

#undef PNAME
